LOGGER(1)

NOM
logger - Ajouter des messages au journal système

SYNOPSIS

logger [options] message

DESCRIPTION

logger ajoute des entrées dans le journal système.

Quand l’argument facultatif message est présent, il est écrit dans le journal. Sinon, et si l’option -f n’est pas donnée non plus, l’entrée standard sera enregistrée.

OPTIONS

-d, --udp
    N’utiliser que les datagrammes (UDP). Par défaut la connexion est tentée sur le port de syslog défini dans /etc/services, qui est généralement 514.

    Voir aussi --server ou --socket pour définir où se connecter.

-e, --skip-empty
    Ignorer les lignes vides lors du traitement des fichiers. Une ligne vide est définie comme une ligne sans caractère. Ainsi, une ligne ne contenant que des espaces n’est pas considérée vide. Remarquez que si l’option --prio-prefix est indiquée, la priorité ne fait pas partie de la ligne. Ainsi, une ligne vide dans ce mode est une ligne qui n’a pas de caractère après la priorité (par exemple, <13>).

-f, --file fichier
    Enregistrer le contenu du fichier indiqué. Cette option ne peut pas être associée à un message de ligne de commande.

-i
    Log the PID of the logger process with each line.

--id[=id]
    Log the PID of the logger process with each line. When the optional argument id is specified, then it is used instead of the logger command’s PID. The use of --id=$$ (PPID) is recommended in scripts that send several messages.

    Remarquez que l’infrastructure de journalisation du système (par exemple systemd écoutant sur /dev/log) peut suivre les droits de la socket locale pour écraser le PID spécifié dans le message. logger(1) peut définir ces droits de socket à l’id donné, mais seulement si vous avez les droits de superutilisateur et que le processus avec le PID indiqué existe, sinon les droits de la socket ne sont pas modifiés et le problème est ignoré en silence.

--journald[=fichier]
    Write a systemd journal entry. The entry is read from the given file, when specified, otherwise from standard input. Each line must begin with a field that is accepted by journald; see systemd.journal-fields(7) for details. The use of a MESSAGE_ID field is generally a good idea, as it makes finding entries easy. Examples:

            logger --journald <<end
            MESSAGE_ID=67feb6ffbaf24c5cbec13c008dd72309
            MESSAGE=Les chiens aboient mais la caravane passe.
            CHIENS=aboient
            CARAVANE=passe
            end

            logger --journald=texte_entrée

    Remarquez que --journald ignorera les valeurs des autres options, comme la priorité. Si la priorité est nécessaire, elle doit être dans l’entrée et utiliser le champ PRIORITY. La simple exécution de journalctl(1) affichera le champ MESSAGE. Utilisez journalctl --output json-pretty pour voir le reste des champs.

    Pour inclure les retours à la ligne dans MESSAGE, indiquez MESSAGE plusieurs fois. Cela est pris en charge comme un cas particulier, les autres champs seront stockés sous forme de tableau dans le journal s’ils apparaissent plusieurs fois.

--msgid msgid
    Définir le champ MSGID de la Remarquez que le caractère espace n’est pas permis à l’intérieur de msgid. Cette option n’est utilisée que si --rfc5424 est indiquée aussi. Sinon, elle est ignorée silencieusement.

-n, --server serveur
    Écrire sur le serveur syslog distant indiqué au lieu de la socket du journal système. À moins que --udp ou --tcp ne soient indiquées, logger essaiera d’abord d’utiliser UDP, mais si cela échoue, une connexion TCP sera tentée.

--no-act
    Causes everything to be done except for writing the log message to the system log, and removing the connection to the journal. This option can be used together with --stderr for testing purposes.

--octet-count
    Utiliser la méthode de comptage d’octets par tramage de la pour l’envoi de messages. Quand cette option n’est pas utilisée, le comportement par défaut est l’absence de tramage (framing) sur UDP, et sur TCP s’applique le tramage non transparent de la RFC 6587 (connu aussi sous le nom de remplissage d’octets (stuffing)).

-P, --port port
    Use the specified port. When this option is not specified, the port defaults to syslog for udp and to syslog-conn for tcp connections.

-p, --priority priorité
    Enregistrer le message dans le journal avec la priorité indiquée. La priorité peut être donnée numériquement ou bien avec un couple service.niveau. Par exemple, -p local3.info enregistre le message comme informationnel dans le service local3. La valeur par défaut est user.notice.

--prio-prefix
    Chercher un préfixe syslog sur toutes les lignes lues sur l’entrée standard. Ce préfixe est un nombre décimal entre chevrons qui encode à la fois le service et le niveau. Le nombre est construit en multipliant le service par 8 et en ajoutant le niveau. Par exemple, local0.info, signifiant de service 16 et de niveau 6, devient <134>.

    Si le préfixe ne contient pas de service, le service par défaut est celui indiqué par l’option -p. De même, si aucun préfixe n’est fourni, la ligne est journalisée en utilisant la priorité donnée avec -p.

    Cette option n’affecte pas un message de ligne de commande.

--rfc3164
    Utiliser le protocole syslog BSD pour soumettre des messages à un serveur distant.

--rfc5424[=sans]
    Utiliser le protocole syslog de la pour envoyer des messages à un serveur distant. L’argument facultatif sans peut être une liste, séparée par des virgules, des arguments suivants : notq, notime, nohost.

    La valeur notq supprime la donnée structurée time-quality du message envoyé. Les informations time-quality indiquent si l’horloge locale était synchronisée et le nombre maximum de microsecondes où l’horodatage pourrait ne pas être actif. La précision du temps est supprimée automatiquement quand --sd-id timeQuality est spécifié.

    La valeur notime (qui implique notq) supprime tout l’horodatage de l’expéditeur au format ISO-8601, notamment les microsecondes et les fuseaux horaires.

    La valeur nohost supprime les informations gethostname(2) de l’entête du message.

    Le protocole RFC 5424 est utilisé par défaut par logger depuis la version 2.26.

-s, --stderr
    Afficher le message sur la sortie d’erreur standard en plus de l’enregistrer dans le journal système.

--sd-id nom[@chiffres]
    Spécifier l’identifiant d’un élément de données structurées pour l’entête d’un message conforme à la RFC 5424. L’option doit être utilisée avant --sd-param pour ajouter de nouveaux éléments. Le nombre d’éléments de données structurées n’est pas limité. L’identifiant (nom plus éventuellement @chiffres) est sensible à la casse et n’identifie que le type et l’objectif d’un élément. Le même identifiant ne doit pas apparaître plusieurs fois dans un message. La partie @chiffres est nécessaire pour les identifiants non standardisés et définis par l’utilisateur.

    logger currently generates the timeQuality standardized element only. RFC 5424 also describes the elements origin (with parameters ip, enterpriseId, software and swVersion) and meta (with parameters sequenceId, sysUpTime and language). These element IDs may be specified without the @digits suffix.

--sd-param nom=valeur
    Specifies a structured data element parameter, a name and value pair. The option has to be used after --sd-id and may be specified more than once for the same element. Note that the quotation marks around value are required and must be escaped on the command line.

            logger --rfc5424 --sd-id zoo@123             \
                             --sd-param tiger="hungry"   \
                             --sd-param zebra="running"  \
                             --sd-id manager@123         \
                             --sd-param onMeeting="yes"  \
                             "this is message"

    produit :

    <13>1 2015-10-01T14:07:59.168662+02:00 ws kzak - - [timeQuality tzKnown="1" isSynced="1" syncAccuracy="218616"][zoo@123 tiger="hungry" zebra="running"][manager@123 onMeeting="yes"] this is message

-S, --size taille
    Définir la taille maximale permise par message. La valeur par défaut est de 1 kio en caractères, qui est la limite traditionnelle telle qu’indiquée dans la RFC 3164. Avec la RFC 5424, cette limite est devenue flexible. En général, les destinataires RFC 5424 peuvent au moins traiter des messages de 4 kio.

    Most receivers accept messages larger than 1KiB over any type of syslog protocol. As such, the --size option affects logger in all cases (not only when --rfc5424 was used).

    Remarque : la taille maximale de message limite la taille totale du message, y compris l’en-tête de journal système. Les tailles d’en-tête varient en fonction des options sélectionnées et de la taille du nom d’hôte. En règle générale, les en-têtes ne dépassent pas 50 ou 80 caractères. Lors de la sélection de la taille maximale du message, s’assurer que le destinataire puisse recevoir des messages de cette taille est important, sinon les messages pourraient être tronqués. De nouveau, en règle générale, des messages de deux à quatre kilooctets devraient normalement passer, alors que tout ce qui dépasse devrait être vérifié.

--socket-errors[=mode]
    Print errors about Unix socket connections. The mode can be a value of off, on, or auto. When the mode is auto, then logger will detect if the init process is systemd(1), and if so assumption is made /dev/log can be used early at boot. Other init systems lack of /dev/log will not cause errors that is identical with messaging using openlog(3) system call. The logger(1) before version 2.26 used openlog(3), and hence was unable to detected loss of messages sent to Unix sockets.

    Le mode par défaut est auto. Quand les erreurs ne sont pas activées, les messages perdus ne sont pas communiqués, ce qui donne un état de sortie indiquant la réussite de l’appel de logger(1).

-T, --tcp
    N’utiliser que les flux (TCP). Par défaut la connexion est tentée sur le port de syslog-conn défini dans /etc/services, qui est généralement 601.

    Voir aussi --server ou --socket pour définir où se connecter.

-t, --tag étiquette
    Placer une étiquette sur chaque ligne du journal. L’étiquette par défaut est le nom de l’utilisateur connecté au terminal (ou le nom d’un utilisateur à partir de son identifiant réel).

-u, --socket socket
    Écrire dans la socket indiquée au lieu d’utiliser la socket du journal système.

--
    Terminer la liste des arguments. Cela permet au message de commencer avec un tiret (« - »).

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher le numéro de version et quitter.

CODE DE RETOUR

Le code de retour est 0 quand logger réussit et strictement supérieur à 0 en cas d’erreur.

SERVICES ET NIVEAUX

Les noms de services possibles sont :

auth
authpriv pour les informations de sécurité de nature sensible
cron

daemon
ftp
kern ne peut pas être créé depuis un processus d’espace utilisateur, convertit automatiquement en utilisateur

lpr
mail
news
syslog
user
uucp
local0
to
local7
security deprecated synonym for auth

Les noms de niveaux possibles sont :

emerg
alert
crit
err
warning
notice
info
debug
panic synonyme obsolète d’emerg
error synonyme obsolète d’err
warn synonyme obsolète d’warning

Pour l’ordre des priorités et les buts supposés de ces services et niveaux, consultez syslog(3).

CONFORMITÉ

La commande logger est prévue pour être compatible avec IEEE Std 1003.2 (« POSIX.2 »).

EXEMPLES

    logger System rebooted

    logger -p local0.notice -t HOSTIDM -f /dev/idmc

    logger -n loghost.example.com System rebooted

AUTEURS

La commande logger a été écrite à l’origine par l’université de Californie entre 1983-1993, puis réécrite par Eet

VOIR AUSSI

journalctl(1), syslog(3), systemd.journal-fields(7)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le gestionnaire de bogues sur

DISPONIBILITÉ

La commande logger fait partie du paquet util-linux, elle est disponible sur